Actions

Difference between revisions of "Broadcastify-Calls"

From The RadioReference Wiki

Line 16: Line 16:
 
* ntp
 
* ntp
 
* ntpstat
 
* ntpstat
 +
* jq
  
  sudo apt-get install ntp ntpstat
+
  sudo apt-get install ntp ntpstat jq
  
 
The following prerequisites must be met:
 
The following prerequisites must be met:
 
* FFMpeg installed and configured for AAC-HE (See Below)
 
* FFMpeg installed and configured for AAC-HE (See Below)
 
* NTP must be installed and synced to a reference time source
 
* NTP must be installed and synced to a reference time source
 +
* JQ utility for JSON processing
  
 
==== Compile and Install FFMpeg with AAC-HE Support ====
 
==== Compile and Install FFMpeg with AAC-HE Support ====

Revision as of 18:46, 9 January 2020

Broadcastify Calls is a high capacity service that ingests radio system calls currently in alpha infrastructure testing

Features includes

  • 90 day retention
  • duplicate call handling
  • tight integration with the RadioReference database
  • call and source detailed statistics
  • alerts and notifications when calls/events occur

Supported Sources

  • Trunk Recorder (Trunked P25, Conventional P25, Conventional FM Analog)

Source System Prerequisites

The following packages must be installed on the source system

  • ntp
  • ntpstat
  • jq
sudo apt-get install ntp ntpstat jq

The following prerequisites must be met:

  • FFMpeg installed and configured for AAC-HE (See Below)
  • NTP must be installed and synced to a reference time source
  • JQ utility for JSON processing

Compile and Install FFMpeg with AAC-HE Support

To install on Ubuntu 18.04 add bionic universe and multiverse package repos then follow the instructions for Ubuntu 16.04

sudo add-apt-repository "deb http://archive.ubuntu.com/ubuntu bionic universe"
sudo add-apt-repository "deb http://archive.ubuntu.com/ubuntu bionic multiverse"
sudo apt-get update
sudo apt-get upgrade

Install for Ubuntu 16.04. This is a minimal install, check out the FFMPEG docs if you want more libraries enables.

sudo apt-get update
sudo apt-get -y install autoconf automake build-essential libass-dev libfreetype6-dev \
  libtool pkg-config texinfo zlib1g-dev yasm libfdk-aac-dev
wget http://ffmpeg.org/releases/ffmpeg-snapshot.tar.bz2
tar xjvf ffmpeg-snapshot.tar.bz2
cd ffmpeg
./configure \
  --pkg-config-flags="--static" \
  --bindir="$HOME/bin" \
  --enable-gpl \
  --enable-libass \
  --enable-libfdk-aac \
  --enable-nonfree
make
sudo make install